Module java.desktop
Package java.applet

# Interface AudioClip

    @Deprecated(since="9")
    public interface AudioClip

Deprecated.
The Applet API is deprecated, no replacement.
The `AudioClip` interface is a simple abstraction for playing a sound clip. Multiple `AudioClip` items can be playing at the same time, and the resulting sound is mixed together to produce a composite.

Since:
  1.0

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `loop()` | Deprecated. Starts playing this audio clip in a loop.
`void` | `play()` | Deprecated. Starts playing this audio clip.
`void` | `stop()` | Deprecated. Stops playing this audio clip.

## Method Details

### play

void play()
Deprecated.
Starts playing this audio clip. Each time this method is called, the clip is restarted from the beginning.

### loop

void loop()
Deprecated.
Starts playing this audio clip in a loop.

### stop

void stop()
Deprecated.
Stops playing this audio clip.